Loading...
Searching...
No Matches
juce::TabbedButtonBar::LookAndFeelMethods Struct Referenceabstract

## Detailed Description

This abstract base class is implemented by LookAndFeel classes to provide window drawing functionality.

The documentation for this struct was generated from the following file:

- juce_gui_basics/layout/juce_TabbedButtonBar.h

Inheritance diagram for juce::TabbedButtonBar::LookAndFeelMethods:

## Public Member Functions

virtual | ~LookAndFeelMethods ()=default
virtual int | getTabButtonSpaceAroundImage ()=0
virtual int | getTabButtonOverlap (int tabDepth)=0
virtual int | getTabButtonBestWidth (TabBarButton &, int tabDepth)=0
virtual Rectangle< int > | getTabButtonExtraComponentBounds (const TabBarButton &, Rectangle< int > &textArea, Component &extraComp)=0
virtual void | drawTabButton (TabBarButton &, Graphics &, bool isMouseOver, bool isMouseDown)=0
virtual Font | getTabButtonFont (TabBarButton &, float height)=0
virtual void | drawTabButtonText (TabBarButton &, Graphics &, bool isMouseOver, bool isMouseDown)=0
virtual void | drawTabbedButtonBarBackground (TabbedButtonBar &, Graphics &)=0
virtual void | drawTabAreaBehindFrontButton (TabbedButtonBar &, Graphics &, int w, int h)=0
virtual void | createTabButtonShape (TabBarButton &, Path &path, bool isMouseOver, bool isMouseDown)=0
virtual void | fillTabButtonShape (TabBarButton &, Graphics &, const Path &path, bool isMouseOver, bool isMouseDown)=0
virtual Button * | createTabBarExtrasButton ()=0

## Constructors and Destructors

## ~LookAndFeelMethods()

virtual juce::TabbedButtonBar::LookAndFeelMethods::~LookAndFeelMethods | ( |  | ) |

virtual default

## Member Functions

## getTabButtonSpaceAroundImage()

virtual int juce::TabbedButtonBar::LookAndFeelMethods::getTabButtonSpaceAroundImage | ( |  | ) |

pure virtual

Implemented in juce::LookAndFeel_V2, and juce::LookAndFeel_V3.

## getTabButtonOverlap()

virtual int juce::TabbedButtonBar::LookAndFeelMethods::getTabButtonOverlap | ( | int | tabDepth | ) |

pure virtual

Implemented in juce::LookAndFeel_V2, and juce::LookAndFeel_V3.

## getTabButtonBestWidth()

virtual int juce::TabbedButtonBar::LookAndFeelMethods::getTabButtonBestWidth | ( | TabBarButton & | ,
|  | int | tabDepth )

pure virtual

Implemented in juce::LookAndFeel_V2.

## getTabButtonExtraComponentBounds()

virtual Rectangle< int > juce::TabbedButtonBar::LookAndFeelMethods::getTabButtonExtraComponentBounds | ( | const TabBarButton & | ,
|  | Rectangle< int > & | textArea,
|  | Component & | extraComp )

pure virtual

Implemented in juce::LookAndFeel_V2.

References juce::Component::Component().

## drawTabButton()

virtual void juce::TabbedButtonBar::LookAndFeelMethods::drawTabButton | ( | TabBarButton & | ,
|  | Graphics & | ,
|  | bool | isMouseOver,
|  | bool | isMouseDown )

pure virtual

Implemented in juce::LookAndFeel_V2, and juce::LookAndFeel_V3.

References juce::Component::isMouseOver().

## getTabButtonFont()

virtual Font juce::TabbedButtonBar::LookAndFeelMethods::getTabButtonFont | ( | TabBarButton & | ,
|  | float | height )

pure virtual

Implemented in juce::LookAndFeel_V2.

## drawTabButtonText()

virtual void juce::TabbedButtonBar::LookAndFeelMethods::drawTabButtonText | ( | TabBarButton & | ,
|  | Graphics & | ,
|  | bool | isMouseOver,
|  | bool | isMouseDown )

pure virtual

Implemented in juce::LookAndFeel_V2.

References juce::Component::isMouseOver().

## drawTabbedButtonBarBackground()

virtual void juce::TabbedButtonBar::LookAndFeelMethods::drawTabbedButtonBarBackground | ( | TabbedButtonBar & | ,
|  | Graphics & | )

pure virtual

Implemented in juce::LookAndFeel_V2.

References juce::TabbedButtonBar::TabbedButtonBar().

## drawTabAreaBehindFrontButton()

virtual void juce::TabbedButtonBar::LookAndFeelMethods::drawTabAreaBehindFrontButton | ( | TabbedButtonBar & | ,
|  | Graphics & | ,
|  | int | w,
|  | int | h )

pure virtual

Implemented in juce::LookAndFeel_V2, and juce::LookAndFeel_V3.

References h, juce::TabbedButtonBar::TabbedButtonBar(), and w.

## createTabButtonShape()

virtual void juce::TabbedButtonBar::LookAndFeelMethods::createTabButtonShape | ( | TabBarButton & | ,
|  | Path & | path,
|  | bool | isMouseOver,
|  | bool | isMouseDown )

pure virtual

Implemented in juce::LookAndFeel_V2.

References juce::Component::isMouseOver().

## fillTabButtonShape()

virtual void juce::TabbedButtonBar::LookAndFeelMethods::fillTabButtonShape | ( | TabBarButton & | ,
|  | Graphics & | ,
|  | const Path & | path,
|  | bool | isMouseOver,
|  | bool | isMouseDown )

pure virtual

Implemented in juce::LookAndFeel_V2.

References juce::Component::isMouseOver().

## createTabBarExtrasButton()

virtual Button * juce::TabbedButtonBar::LookAndFeelMethods::createTabBarExtrasButton | ( |  | ) |

pure virtual

Implemented in juce::LookAndFeel_V2.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited